io.milvus.bulkwriter

## Class CloudImport

- java.lang.Object
- - io.milvus.bulkwriter.CloudImport

-     public class CloudImport
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CloudImport()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BulkImportResponse` | `bulkImport(java.lang.String url, java.lang.String apiKey, java.lang.String objectUrl, java.lang.String accessKey, java.lang.String secretKey, java.lang.String clusterId, java.lang.String collectionName)`
    `static GetImportProgressResponse` | `getImportProgress(java.lang.String url, java.lang.String apiKey, java.lang.String jobId, java.lang.String clusterId)`
    `static ListImportJobsResponse` | `listImportJobs(java.lang.String url, java.lang.String apiKey, java.lang.String clusterId, int pageSize, int currentPage)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CloudImport

          public CloudImport()

  - ### Method Detail

    - #### bulkImport

          public static BulkImportResponse bulkImport(java.lang.String url,
                                                      java.lang.String apiKey,
                                                      java.lang.String objectUrl,
                                                      java.lang.String accessKey,
                                                      java.lang.String secretKey,
                                                      java.lang.String clusterId,
                                                      java.lang.String collectionName)
                                               throws java.net.MalformedURLException

      Throws:
        `java.net.MalformedURLException`

    - #### getImportProgress

          public static GetImportProgressResponse getImportProgress(java.lang.String url,
                                                                    java.lang.String apiKey,
                                                                    java.lang.String jobId,
                                                                    java.lang.String clusterId)
                                                             throws java.net.MalformedURLException

      Throws:
        `java.net.MalformedURLException`

    - #### listImportJobs

          public static ListImportJobsResponse listImportJobs(java.lang.String url,
                                                              java.lang.String apiKey,
                                                              java.lang.String clusterId,
                                                              int pageSize,
                                                              int currentPage)
                                                       throws java.net.MalformedURLException

      Throws:
        `java.net.MalformedURLException`